فا

‫ آسیب پذیری به شماره CVE-2020-1603 در محصولات Juniper

یک #‫آسیبپذیری با درجه High و به شناسه CVE-2020-1603 کشف شده است که نسخه های مختلف سیستم-عامل juniper به نام Junos OS را تحت تاثیر قرار می دهد.
مهاجم برای بهره برداری از این آسیب پذیری، بسته های مخرب IPv6 را می سازد و آن ها را برای دستگاه آسیب پذیر ارسال می کند. این بسته ها باید توسط موتور پردازش و یا Routing Engine(RE) پردازش شوند اما مهاجم این بسته ها را به گونه ای طراحی کرده است که توسط سیستم RE بلاک می شوند سپس RE به آن ها اجازه می دهد تا از موتور پردازش خارج شوند. بنابراین مشکل نشت حافظه mbuf در دستگاه های Juniper Networks Junos OS اتفاق می افتد.
در نهایت این نشت حافظه منجر به crash کردن هسته سیستم عامل می شود که برای بازگرداندن دستگاه به حالت عادی باید آن را reboot کرد که این منجر به حمله DoS می شود.
این آسیب پذیری نسخه های مختلف سیستم عامل juniper را تحت تاثیر قرار می دهد. لیست زیر نسخه های آسیب-پذیر را نشان می دهد:
• 16.1 versions prior to 16.1R7-S6;
• 16.1 version 16.1X70-D10 and later;
• 16.2 versions prior to 16.2R2-S11;
• 17.1 versions prior to 17.1R2-S11, 17.1R3-S1;
• 17.2 versions prior to 17.2R1-S9, 17.2R2-S8, 17.2R3-S3;
• 17.3 versions prior to 17.3R3-S6;
• 17.4 versions prior to 17.4R2-S9, 17.4R3;
• 18.1 versions prior to 18.1R3-S7;
• 18.2 versions prior to 18.2R3-S2;
• 18.2X75 versions prior to 18.2X75-D50, 18.2X75-D410;
• 18.3 versions prior to 18.3R1-S6, 18.3R2-S2, 18.3R3;
• 18.4 versions prior to 18.4R2-S2, 18.4R3;
• 19.1 versions prior to 19.1R1-S3, 19.1R2;
• 19.2 versions prior to 19.2R1-S2, 19.2R2.
وصله این آسیب پذیری برای هرکدام از نسخه های آسیب پذیر منتشر شده است. به کاربران این سیستم عامل های
آسیب پذیر توصیه می شود که به روز رسانی را هرچه سریع تر انجام دهند.


نظرات

بدون نظر
شما برای نظر دادن باید وارد شوید

مشخصات خبر

 
تاریخ ایجاد: 23 بهمن 1398

برچسب‌ها

امتیاز

امتیاز شما
تعداد امتیازها: 0